2011... Linux has had 64-bit support for what? 15+ years now? And yet you still can't set up a 64-bit OS without quirks.

Anyway, for those of you that speak English better than German.

wget ftp://ftp.cadsoft.de/eagle/program/5.11/eagle-lin-5.11.0.run

sudo apt-get install \
  lib32asound2 \
  lib32gcc1 \
  lib32ncurses5 \
  lib32stdc++6 \
  lib32z1 \
  libc6-i386 \
  ia32-libs 

sh ./eagle-lin-5.11.0.run

The error you get when you attempt to install Eagle without installing the ia32 x86 libs are akin to these:

eagle-lin-5.6.0.run: 107: /tmp/eagle-setup.0123/eagle-5.6.0/bin/eagle: not found
eagle-lin-5.7.0.run: 107: /tmp/eagle-setup.1234/eagle-5.7.0/bin/eagle: not found
eagle-lin-5.8.0.run: 107: /tmp/eagle-setup.2345/eagle-5.8.0/bin/eagle: not found
eagle-lin-5.9.0.run: 107: /tmp/eagle-setup.3456/eagle-5.9.0/bin/eagle: not found
eagle-lin-5.10.0.run: 107: /tmp/eagle-setup.4567/eagle-5.10.0/bin/eagle: not found
eagle-lin-5.11.0.run: 107: /tmp/eagle-setup.5678/eagle-5.11.0/bin/eagle: not found

By AJ ONeal

Was this useful to you? Share it!

Also, you can give me a tip or hire me.


blog comments powered by Disqus

Published

2011-09-14


Help a brother out.


Categories


Tags


I'm available for hire (and I appreciate tips)